<?php

class melbourne_business_Latest_News_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'melbourne-business-latest-news',
			__( 'MB: Latest News', 'melbourne-business' ),
			array(
				'description' => __( 'Displays latest posts in grid', 'melbourne-business' ),
			),
			array(),
			array(
				'section_title' => array(
					'type' => 'text',
					'label' => __( 'Title', 'melbourne-business' ),
				),
				'posts' => array(
					'type'  => 'posts',
					'label' => __( 'Posts', 'melbourne-business' ),
				),
				'settings' => array(
					'type'   => 'section',
					'label'  => __( 'Settings', 'melbourne-business' ),
					'hide' => true,
					'fields' => array(
					    'featured_image' => array(
							'type'    => 'select',
							'label'   => __( 'Image Size', 'melbourne-business' ),
							'default' => 'medium',
							'options' =>  array( 'disable', 'thumbnail', 'medium' ),
						),
						'more_text' => array(
							'type'    => 'text',
							'label'   => __( 'Read More Text', 'melbourne-business' ),
							'default' => __( 'Read more', 'melbourne-business' ),
						),
						'disable_date' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Date in Post', 'melbourne-business' ),
		    			),
		    			'disable_comment' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Comment in Post', 'melbourne-business' ),
		    			),
		    			'disable_excerpt' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Post Excerpt', 'melbourne-business' ),
		    			),
		    			'disable_date' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Date in Post', 'melbourne-business' ),
		    			),
		    			'disable_more_text' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Read More Text', 'melbourne-business' ),
		    			),
	    			),
				),
			),
			plugin_dir_path( __FILE__ )
		);
	}

	function get_template_name( $instance ) {
		return 'default';
	}
}

siteorigin_widget_register( 'melbourne-business-latest-news', __FILE__, 'melbourne_business_Latest_News_Widget' );
